# Khaotic Engine Reborn: ecs::Component Class Reference

Loading...
Searching...
No Matches
ecs::Component Class Reference
Inheritance diagram for ecs::Component:

## Public Member Functions

| Component (const Component &)=delete
Component & | operator= (const Component &)=delete
| Component (Component &&)=default
Component & | operator= (Component &&)=default
virtual void | Initialize ()
virtual void | Update (float deltaTime)

## Detailed Description

Definition at line 12 of file component.h.

## Member Function Documentation

## Initialize()

virtual void ecs::Component::Initialize | ( |  | ) |

inlinevirtual

Virtual function to initialize the component.

Reimplemented in ecs::IdentityComponent, ecs::ModelPathComponent, ecs::PhysicsComponent, ecs::RenderComponent, and ecs::ShaderComponent.

Definition at line 28 of file component.h.

{}

## Update()

virtual void ecs::Component::Update | ( | float | deltaTime | ) |

inlinevirtual

Virtual function to update the component.

Parameters

  deltaTime | Time since the last update.

Reimplemented in ecs::ModelPathComponent, ecs::PhysicsComponent, ecs::RenderComponent, and ecs::ShaderComponent.

Definition at line 34 of file component.h.

{}

The documentation for this class was generated from the following file:

- enginecustom/src/inc/system/ecs/component.h